/* || Accounts Section
 *************************/
.accounts-section__title {
    color: var(--primary-base);
}

.accounts-section__balance {
    margin-top: 20px;
    padding-left: 16px;
    height: 110px;

    border-radius: 12px;
    background-color: var(--bg);

    display: flex;
    align-items: center;
}

.accounts-section__balance i {
    font-size: 40px;
    color: var(--blue);
}

.accounts-section__balance-details {
    margin-left: 30px;
}

.accounts-section__label {
    color: var(--secondary-base);
}

.accounts-section__amount {
    margin-top: 11px;
    color: var(--primary-base);
}

/* || Card (Bank Cards)
 *************************/
.accounts-section__cards-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.accounts-section__cards-item {
    padding-bottom: 20px;
    border-bottom: 1px solid var(--stroke);
}

.accounts-section__cards-item:last-child {
    padding-bottom: 0;
    border-bottom: none;
}

.card {
    display: flex;
    align-items: center;
}

.card__logo {
    width: 50px;
    height: 35px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card__img {
    width: 100%;
    height: 100%;

    object-fit: contain;
}

.card__logo--savings {
    background-color: var(--bg);
}

.card__logo--savings i {
    font-size: 20px;
    color: var(--blue);
}

.card__type {
    margin-left: 16px;
    color: var(--secondary-base);
}

.card__amount {
    margin-left: auto;
    color: var(--primary-base);
}

@media only screen and (min-width: 768px) {
    .accounts-section {
        display: flex;
        gap: 20px;
    }

    .accounts-section__balance {
        width: 247px;
    }

    .accounts-section__cards-list {
        width: 100%;
        padding-left: 20px;
        border-left: 1px solid var(--stroke);
    }
}

@media only screen and (min-width: 1440px) {
    .accounts-section {
        max-width: 608px;
        grid-area: accounts;
    }
}